Subject: Re: git rebase -i without altering the committer date

From: Johannes Sixt <[email-masked]>
Date: Thu, 21 Apr 2016 07:23:26 +0200

Am 20.04.2016 um 23:47 schrieb Andreas Schwab:
> Shaun Jackman <[email-masked]> writes:
>
>> I'd like to insert a commit between two commits without changing
>> the committer date or author date of that commit or the subsequent
>> commits.
>
> The easiest way to implement that is to add a graft to redirect the
> parent of the second commit to the inserted commit, then use git
> filter-branch to make the graft permanent.

This only inserts a new project state, but does not propagate the 
changes brought in by the new commit to the subsequent commits. This 
propagation of changes could also be done with filter-branch, but it may 
be difficult depending on circumstances.

-- Hannes